/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\Dark Palace\Items\BloodclanBow.cs
Lines of code: 34
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class BloodclanBow : ElvenCompositeLongbow
	{

		[Constructable]
		public BloodclanBow()
		{
			Name = "Bloodclan's Longbow";
			Hue = 1644;
			SkillBonuses.SetValues( 0, SkillName.Necromancy, 10.0 );
			Attributes.BonusStr = 8;
			Attributes.WeaponSpeed = 20;
			Attributes.SpellChanneling = 1;
			Slayer = SlayerName.Repond;
			Attributes.WeaponDamage = 35;
			WeaponAttributes.UseBestSkill = 1;
		}

		public BloodclanBow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}